Error: ListVisualModule

May 5, 2007 at 10:01 PM
Edited May 7, 2007 at 9:51 PM
When I start SniffThat, I get an error:
---------------
Error creating Module
"LameSoft.SniffThat.Plugins.ListModule.ListVisualModule": InvalidException
---------------

I'm using SniffThat 1.03 (setup.exe)
Device: XDA trion (HTC Tytn)

Is this an known problem?
Is there a solution?
Will this bug be repaired in 1.1?

I will try an older version ....

EDIT:
Same problem with 1.02
But no error with 1.00

EDIT2:
v1.0 work great!!
May 13, 2007 at 5:32 AM
I have the same error message. Uninstall / Reinstall do not help. Is there way to fix it?

I just download the latest version today (CAB).
I started using the program, and at first it worked OK.
I even was able to export the results into KLM file.
Then, suddenly, the program died during scanning with GPS, and attempts to start it again results in the above error.
May 13, 2007 at 10:05 AM
My "workaround": Using v1.0 :)

But I hope, v1.1 will work again...
Coordinator
May 21, 2007 at 8:30 AM
Sorry for the big delay.
I'm very time - bound at the moment because I'm writing my degree dissertation.

This issue comes up, if the .NET Compact Framework 2.0 SP1 isn't installed. The preinstalled versions on most of the PDA phones out there aren't on SP 1.
So please try to install the .NET Compact Framework packaged with the downloadable Setup file and this issue should be fixed.

Greetings

Michael
May 21, 2007 at 7:05 PM
I'm really sure, I installed the Framework.
I always used the setup file for installation.

But I think your solution was for VikVik.
May 22, 2007 at 12:43 AM
Edited May 22, 2007 at 12:44 AM
Thank you. I'll try. For now I just using v.1.0. It works for me.


mlamers wrote:
Sorry for the big delay.
I'm very time - bound at the moment because I'm writing my degree dissertation.

This issue comes up, if the .NET Compact Framework 2.0 SP1 isn't installed. The preinstalled versions on most of the PDA phones out there aren't on SP 1.
So please try to install the .NET Compact Framework packaged with the downloadable Setup file and this issue should be fixed.

Greetings

Michael

Coordinator
May 22, 2007 at 11:28 AM

GodzillaXP wrote:
I'm really sure, I installed the Framework.
I always used the setup file for installation.

But I think your solution was for VikVik.


Ok. There has been a problem with the settings file I can remember of. Some users had a problem that one of the SniffThat settings files was corrupted.
Can you please try to delete these files (in the My Documents folder, "SniffThatSettings..." and "SniffThatLastAccesspoints") and let me know, if this was the problem?
May 22, 2007 at 3:38 PM
I installed v1.0.3 over v1.0.0 (I think Windows deianstalled v1 befor installing v1.0.3).
Then I deleted the two files. (I figured out, that deleting "SniffThatSettings..." is enough)
It worked.
SniffThat started without any error.

But when I tried to start SniffThat again, the error appears again.
If I want to use v1.0.3, I have to delete the Settings-file eachtime. :(
Developer
Dec 16, 2007 at 4:42 PM
same problem here. have to delete the file every time